package com.unicms.database.utils;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.Properties;

/**
 * Created by Dmitriy S. Porollo on 30.06.2015.
 */

public class DBConnect{

    private static Connection con = null;
    private static final String SQLSERVER_CONFIG_PATH = "src/main/resources/db/sqlserver.properties";

    public void getProps(){

        Properties DBProps  = new Properties();
        try {
            DBProps.load(new FileInputStream(new File(SQLSERVER_CONFIG_PATH)));
        } catch (IOException e) {
            e.printStackTrace();
        }
    }


    public void registerDbDriver() throws SQLException {

        try {
            DriverManager.registerDriver(new net.sourceforge.jtds.jdbc.Driver());
        } catch (SQLException e) {
            e.printStackTrace();
        }

    }

    public void dbConnect () throws SQLException {
        getProps();
        registerDbDriver();

    }

    public void dbDisconnect(){

    }


}
