package com.unicms.database.utils;

import java.io.*;
import java.sql.*;
import java.util.Properties;

/**
 * Created by Dmitriy S. Porollo on 25.06.2015.
 */

public class DataBaseServerTime {

    private static Connection con = null;
    private static final String SQLSERVER_CONFIG_PATH = "src/main/resources/db/sqlserver.properties";

    public static void main(String[] args) throws SQLException, FileNotFoundException {

        Properties DBProps  = new Properties();

        try {
            DBProps.load(new FileInputStream(new File(SQLSERVER_CONFIG_PATH)));
        } catch (IOException e) {
            e.printStackTrace();
        }

        DriverManager.registerDriver(new net.sourceforge.jtds.jdbc.Driver());

        con = DriverManager.getConnection(DBProps.getProperty("url"), DBProps.getProperty("username"), DBProps.getProperty("password"));

        //if(con!=null) System.out.println("Connection Successful !\n");
        if (con==null) System.exit(0);
        Statement st = con.createStatement();

        ResultSet rs = st.executeQuery("SELECT SYSDATETIME()");

        int x = rs.getMetaData().getColumnCount();

        while(rs.next()){
            for(int i=1; i<=x;i++){
                System.out.print(rs.getString(i) + "\t");
            }
            System.out.println();
        }
        System.out.println();
        if(rs!=null)rs.close();
        if(st!=null)st.close();
        if(con!=null)con.close();
    }
}
