<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>

<jsp:useBean id="dbTime" class="com.unicms.database.servlets.DBTimeServlet" />

<!DOCTYPE html>
  <head>
    <title>${title}</title>
            <link href="resources/css/material.min.css" rel="stylesheet" type="text/css" />
            <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
            <link href="resources/css/style.css" rel="stylesheet" type="text/css"  />
            <link rel="stylesheet" href="resources/css/countdown.css" />
            <%-- Start favicon section --%>
            <link rel="icon" type="image/vnd.microsoft.icon" href="resources/img/favicon.ico" />
            <%--End favicon section--%>
  </head>

    <body>
    <jsp:include page="header.jsp" />

        <div>
            <main class="mdl-layout__content">
            <br />
                <h4>
                    <c:out value="${dbTime}" />
                </h4>
            <br />

                <div id="countdown" style="margin-top:50px;"></div>
                <p id="note" style="text-align:center;"></p>


            ${pageContext.request.contextPath}
            <br />
            <a href="<c:url value="/admin"></c:url>">Admin area</a>
            <br />
            <a href="<c:url value="/superadmin"/>">Superadmin area</a>
            <br />
            </main>
        </div>

  <jsp:include page="footer.jsp" />

  <!--Import jquery.js & material.js-->
  <script type="text/javascript" src="resources/js/jquery-2.1.4.min.js"></script>
  <script type="text/javascript" src="resources/js/material.min.js"></script>
  <script type="text/javascript" src="resources/js/countdown.js"></script>

  <!--Finish  jquery.js & material.js-->

</body>
</html>
